package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.TestDeploy;


/**
*  service接口类
*/
public interface TestDeployService{

    List<TestDeploy> getTestDeployList(TestDeploy record);

    List<TestDeploy> getTestDeployByPage(Page page, TestDeploy record);

    TestDeploy getTestDeployById(String id);

    TestDeploy getTestDeploy(TestDeploy record);

    boolean createTestDeploy(TestDeploy record);

    boolean deleteTestDeploy(String id);

    boolean updateTestDeploy(TestDeploy record);
}

